## org.hibernate.hql.ast.util
Class ASTIterator

    java.lang.Object
      org.hibernate.hql.ast.util.ASTIterator

All Implemented Interfaces:
  Iterator

    public class ASTIterator

extends Object
implements Iterator

Depth first iteration of an ANTLR AST.

Author:
  josh

Constructor Summary
`ASTIterator(antlr.collections.AST tree)`

Method Summary
`boolean` `hasNext()`
`Object` `next()`
`antlr.collections.AST` `nextNode()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASTIterator

    public ASTIterator(antlr.collections.AST tree)

Method Detail

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### nextNode

    public antlr.collections.AST nextNode()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.